## python-autobahn 0.5.14

=== Makefile ===
all:
	@echo "Targets:"
	@echo ""
	@echo "   install          Local install"
	@echo "   clean            Cleanup"
	@echo "   build            Clean build"
	@echo "   deploy_release   Clean build and deploy as 'release'"
	@echo "   deploy_test      Clean build and deploy as 'test'"
	@echo "   publish          Clean build and publish to PyPi"
	@echo ""

install:
	python setup.py install

clean:
	rm -rf ./autobahn.egg-info
	rm -rf ./build
	rm -rf ./dist
	find . -name "*.pyc" -exec rm -f {} \;

build: clean
	python setup.py bdist_egg

deploy_release: build
	sudo cp dist/*.egg /usr/local/www/tavendo_download/webmq/release/eggs/

deploy_test: build
	sudo cp dist/*.egg /usr/local/www/tavendo_download/webmq/test/eggs/

publish: clean
	python setup.py register
	python setup.py sdist upload
	python setup.py bdist_egg upload
	python setup.py bdist_wininst upload

=== debian/changelog ===
python-autobahn (0.5.14-1) unstable; urgency=low

  * Initial release (Closes: #702208)

 -- Victor Vasiliev <vasilvv@mit.edu>  Fri, 15 Mar 2013 17:58:53 -0400

=== debian/control ===
Source: python-autobahn
Section: python
Priority: optional
Maintainer: Victor Vasiliev <vasilvv@mit.edu>
Build-Depends: debhelper (>= 8.0.0), python-all (>= 2.7.0), python-setuptools
Standards-Version: 3.9.3
Homepage: http://autobahn.ws/python

Package: python-autobahn
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, python-twisted (>= 11.1.0), python-pbkdf2
Description: WebSocket/WAMP implementation for Python/Twisted
 WebSocket is a protocol which allows web applications to have a two-way
 channel with the server. Twisted is an event-based internet application
 framework for Python. Autobahn allows Twisted applications to act as
 a WebSocket client and as a WebSocket server.
 .
 It also supports WebSocket Application Messaging Protocol (WAMP), an open
 WebSocket-based protocol which provides a support for higher-level messaging
 patterns: Remote Procedure Call and Publish/Subscribe.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2 --buildsystem=python_distutils

=== debian/watch ===
version=3
https://github.com/tavendo/AutobahnPython/tags .*/v(\d[\d\.]+)\.tar\.gz

## python-autobahn 0.10.3%2Bdfsg1

=== examples/twisted/websocket/echo_variants/Makefile ===
client:
	PYTHONPATH=../../../../autobahn python client.py ws://127.0.0.1:9000 debug

=== debian/changelog ===
python-autobahn (0.10.3+dfsg1-5) unstable; urgency=medium

  * Stop using py.test-X.Y (Closes: #814846).

 -- Thomas Goirand <zigo@debian.org>  Wed, 17 Feb 2016 05:57:17 +0000

python-autobahn (0.10.3+dfsg1-4) unstable; urgency=medium

  * Do not break python-twisted 15.x: applied upstream patch. (Closes: #810155)
  * VCS fields using HTTPS urls.

 -- Thomas Goirand <zigo@debian.org>  Wed, 17 Feb 2016 05:07:10 +0000

python-autobahn (0.10.3+dfsg1-3) unstable; urgency=medium

  * Removed Victor Vasiliev <vasilvv@mit.edu> from uploaders (Closes: #795882).

 -- Thomas Goirand <zigo@debian.org>  Mon, 14 Sep 2015 10:54:20 +0000

python-autobahn (0.10.3+dfsg1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 01 May 2015 13:47:56 +0200

python-autobahn (0.10.3+dfsg1-1) experimental; urgency=medium

  * New upstream release. (Closes: #780061, #730796)
  * Now team maintaining the package within the OpenStack team, added Victor as
    uploader, set VCS URLs (see #780061 where Victor agrees with this).
  * Now running unit tests at build time.
  * Package is now +dfsg1 because of non-free files in the example folder.

 -- Thomas Goirand <zigo@debian.org>  Tue, 21 Apr 2015 10:42:55 +0200

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
#PYTHON3S:=$(shell py3versions -vr)

UPSTREAM_GIT = git://github.com/tavendo/AutobahnPython.git
-include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3

override_dh_install:
	set -e ; for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-autobahn; \
	done
#	set -e ; for pyvers in $(PYTHON3S); do \
#		python$$pyvers setup.py install --install-layout=deb \
#			--root $(CURDIR)/debian/python3-autobahn; \
#	done
	rm -rf $(CURDIR)/debian/python*-autobahn/usr/lib/python*/dist-packages/*.pth

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	rm -rf build
	PYTHONPATH=. python2.7 -m pytest
endif


override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build twisted/plugins/dropin.cache


# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

## python-autobahn 0.10.3+dfsg1

=== Makefile ===
all:
	@echo "Targets:"
	@echo ""
	@echo "   clean            Cleanup"
	@echo "   install          Local install"
	@echo "   publish          Clean build, register and publish to PyPi"
	@echo "   test             Run unit tests"
	@echo "   flake8           Run flake8 code checking"
	@echo ""

# install locally
install:
	#python setup.py install
#	pip install -e .[twisted]
#	pip install -e .[asyncio,twisted,accelerate,compress,serialization]
	pip install --upgrade -e .[all,dev]

# cleanup everything
clean:
	rm -rf ./autobahn.egg-info
	rm -rf ./build
	rm -rf ./dist
	rm -rf ./temp
	rm -rf ./_trial_temp
	rm -rf ./.tox
	rm -rf ./.eggs
	rm -f  ./twisted/plugins/dropin.cache
	find . -name "*.tar.gz" -type f -exec rm -f {} \;
	find . -name "*.egg" -type f -exec rm -f {} \;
	find . -name "*.pyc" -type f -exec rm -f {} \;
	find . -name "*__pycache__" -type d -exec rm -rf {} \;

# publish to PyPI
publish: clean
	python setup.py register
	python setup.py sdist upload

# direct test via pytest (only here because of setuptools test integration)
test_pytest:
	python -m pytest -rsx .

# test via setuptools command
test_setuptools:
	python setup.py test

# test under Twisted
test_twisted:
	USE_TWISTED=1 trial autobahn
	#WAMP_ROUTER_URL="ws://127.0.0.1:8080/ws" USE_TWISTED=1 trial autobahn

test_twisted_coverage:
	-rm .coverage
	USE_TWISTED=1 coverage run --omit=*/test/* --source=autobahn `which trial` autobahn
#	coverage -a -d annotated_coverage
	coverage html
	coverage report --show-missing

test_coverage:
	-rm .coverage
	tox -e py27twisted,py27asyncio,py34asyncio
	coverage html
	coverage report --show-missing

# test under asyncio
test_asyncio:
	USE_ASYNCIO=1 python -m pytest -rsx
	#WAMP_ROUTER_URL="ws://127.0.0.1:8080/ws" USE_ASYNCIO=1 python -m pytest -rsx

test1:
	USE_TWISTED=1 trial autobahn.wamp.test.test_auth
#	USE_TWISTED=1 python -m pytest -s -v autobahn/wamp/test/test_auth.py
#	USE_TWISTED=1 python -m pytest -s -v autobahn/wamp/test/test_router.py
#	USE_ASYNCIO=1 python -m pytest -s -v autobahn/wamp/test/test_router.py

test2:
#	USE_TWISTED=1 python -m pytest -s -v autobahn/wamp/test/test_router.py
	USE_ASYNCIO=1 python -m pytest -s -v autobahn/wamp/test/test_router.py
#	trial autobahn
#	trial autobahn.websocket.test
#	trial autobahn.wamp.test
#	trial autobahn.wamp.test.test_component
#	trial autobahn.wamp.test.test_message
#	trial autobahn.wamp.test.test_protocol
#	trial autobahn.wamp.test.test_protocol_peer
#	trial autobahn.wamp.test.test_serializer
#	trial autobahn.wamp.test.test_uri_pattern

pyflakes:
	pyflakes .

# run PEP8 check and print statistics
pep8:
	pep8 --statistics --ignore=E501 -qq autobahn

# run PEP8 check and show source for offending code
pep8show:
	pep8 --show-source --ignore=E501 autobahn

# run autopep8 to automatically transform offending code
autopep8:
	autopep8 -ri --aggressive autobahn

# This will run pep8, pyflakes and can skip lines that end with # noqa
flake8:
	flake8 --ignore=E501 autobahn

# run PyLint
pylint:
	pylint -d line-too-long,invalid-name autobahn

# on Unix, check for files with Windows line endings
find_windows_files:
	find . -name "*" -exec file {} \; | grep "CRLF"

# on Windows (Git Bash), check for files with Unix lines endings
find_unix_files:
	find . -name "*" -exec dos2unix -tv {} \; 2>&1 | grep "Unix"

=== doc/Makefile ===
all:
	@echo "Targets:"
	@echo ""
	@echo "  clean             : cleanup build artifacts"
	@echo "  test              : build everything and run locally"
	@echo "  test_no_network   : build everything for no network access and run locally"
	@echo "  publish           : build everything and publish to S3"
	@echo "  copy              : copy over shared files to other AutobahnXXX repos"
	@echo "  install_deps      : install build dependencies"
	@echo "  spelling          : run spell checking"
	@echo "  doctest           : run doctests"
	@echo ""

build:
	scons

build_no_network:
	scons --no_network

test: build
	python serve.py --root ./_build --silence

test_no_network: build_no_network
	python serve.py --root ./_build --silence

clean:
	rm -rf _build
	rm -rf _build_uploaded
	rm -rf _static/img/gen
	rm -rf _test
	rm -rf _spelling

publish: clean build
	scons publish

doctest:
	PYTHONPATH=../autobahn sphinx-build -b doctest -v . _test

copy_makefile:
	cp Makefile ../../AutobahnJS/doc/
	cp Makefile ../../AutobahnAndroid/doc/
	cp Makefile ../../AutobahnCpp/doc/
	cp Makefile ../../AutobahnTestsuite/doc/

copy_gitignore:
	cp .gitignore ../../AutobahnJS/doc/
	cp .gitignore ../../AutobahnAndroid/doc/
	cp .gitignore ../../AutobahnCpp/doc/
	cp .gitignore ../../AutobahnTestsuite/doc/

copy_serve:
	cp serve.py ../../AutobahnJS/doc/
	cp serve.py ../../AutobahnAndroid/doc/
	cp serve.py ../../AutobahnCpp/doc/
	cp serve.py ../../AutobahnTestsuite/doc/

copy_wordlist:
	cp spelling_wordlist.txt ../../AutobahnJS/doc/
	cp spelling_wordlist.txt ../../AutobahnAndroid/doc/
	cp spelling_wordlist.txt ../../AutobahnCpp/doc/
	cp spelling_wordlist.txt ../../AutobahnTestsuite/doc/

# copy_readme:
# 	cp README.md ../../AutobahnJS/doc/
# 	cp README.md ../../AutobahnAndroid/doc/
# 	cp README.md ../../AutobahnCpp/doc/
# 	cp README.md ../../AutobahnTestsuite/doc/

copy: copy_makefile copy_gitignore copy_serve

install_deps:
	pip install -U scour
	pip install -U taschenmesser
	#pip install -U scons
	pip install -U sphinx
	pip install -U sphinx-bootstrap-theme
	pip install -U pyenchant
	pip install -U sphinxcontrib-spelling
	pip install -U repoze.sphinx.autointerface

spelling:
	PYTHONPATH=../autobahn sphinx-build -b spelling . _spelling

=== doc/SConstruct ===
###############################################################################
#
# The MIT License (MIT)
# 
# Copyright (c) Tavendo GmbH
# 
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
# 
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
# 
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.
#
###############################################################################

## Image file names to process
SVG_FILES = [
]

## Directory with image files to process
IMG_SOURCE_DIR = "design"

## Processed image files are placed here
IMG_GEN_DIR    = "_static/img/gen"

## Directory to upload
DOCSDIR = '_build'

## Contains fingerprints of uploaded files
UPLOADED = '_build_uploaded'

## The Tavendo S3 Bucket to upload to
BUCKET = 'autobahn.ws'

## The Bucket Prefix to upload files to
BUCKET_PREFIX = 'python'

## Tavendo shared static assets
CSTATIC = "//tavendo-common-static.s3-eu-west-1.amazonaws.com"
CSTATIC_LOCAL = "http://127.0.0.1:8888"


### END OF CONFIG #############################################################


import os
import json
import pkg_resources

os.environ['PYTHONPATH'] = '../autobahn'

taschenmesser = pkg_resources.resource_filename('taschenmesser', '..')
#taschenmesser = "../../../infrequent/taschenmesser"

AddOption('--no_network', dest = 'no_network', action = 'store_true', default = False,
   help = "Run locally and disable anything doing network access")

env = Environment(tools = ['default', 'taschenmesser'],
                  toolpath = [taschenmesser],
                  ENV = os.environ)

## Process SVGs
##
imgs = env.process_svg(SVG_FILES, IMG_SOURCE_DIR, IMG_GEN_DIR)

Alias("img", imgs)


## Sphinx Build
##
if GetOption('no_network'):
   print("Building for no network")
   docs = env.Command(DOCSDIR, [], 'sphinx-build -A no_network=1 -D no_network=1 -A cstatic="{}" -b html . $TARGET'.format(CSTATIC_LOCAL))
else:
   docs = env.Command(DOCSDIR, [], 'sphinx-build -A cstatic="{}" -b html . $TARGET'.format(CSTATIC))


# sphinx-build -b spelling . _spelling

env.AlwaysBuild(docs)
Clean(docs, DOCSDIR)
Alias("doc", docs)

Default([imgs, docs])


## Upload to Amazon S3
##
uploaded = env.s3_dir_uploader(UPLOADED, DOCSDIR, BUCKET, BUCKET_PREFIX)

Depends(uploaded, docs)
Depends(uploaded, imgs)

Clean(uploaded, UPLOADED)

Alias("publish", uploaded)

=== examples/Makefile ===
pyflakes:
	pyflakes .

pep8:
	pep8 --statistics --ignore=E501 -qq .
# pep8 --select=E231 --show-source

autopep8:
	autopep8 -ri --aggressive --ignore=E501 .

# This will run pep8, pyflakes and can skip lines that end with # noqa
flake8:
	flake8 --ignore=E501,E901,F401,F403,F811,F821,F841 .

pylint:
	pylint -d line-too-long,invalid-name .

=== examples/asyncio/wamp/basic/Makefile ===
all:
	@echo "Targets: s1-s14, f1-f14, b1-b14"


s:
	PYTHONPATH=../../../../autobahn python3 server.py


s1:
	PYTHONPATH=../../../../autobahn python3 server.py --component "rpc.timeservice.backend.Component"

f1:
	PYTHONPATH=../../../../autobahn python3 client.py --component "rpc.timeservice.frontend.Component"

b1:
	PYTHONPATH=../../../../autobahn python3 client.py --component "rpc.timeservice.backend.Component"


s2:
	PYTHONPATH=../../../../autobahn python3 server.py --component "rpc.slowsquare.backend.Component"

f2:
	PYTHONPATH=../../../../autobahn python3 client.py --component "rpc.slowsquare.frontend.Component"

b2:
	PYTHONPATH=../../../../autobahn python3 client.py --component "rpc.slowsquare.backend.Component"


s3:
	PYTHONPATH=../../../../autobahn python3 server.py --component "rpc.arguments.backend.Component"

f3:
	PYTHONPATH=../../../../autobahn python3 client.py --component "rpc.arguments.frontend.Component"

b3:
	PYTHONPATH=../../../../autobahn python3 client.py --component "rpc.arguments.backend.Component"


s4:
	PYTHONPATH=../../../../autobahn python3 server.py --component "rpc.options.backend.Component"

f4:
	PYTHONPATH=../../../../autobahn python3 client.py --component "rpc.options.frontend.Component"

b4:
	PYTHONPATH=../../../../autobahn python3 client.py --component "rpc.options.backend.Component"


s5:
	PYTHONPATH=../../../../autobahn python3 server.py --component "rpc.errors.backend.Component"

f5:
	PYTHONPATH=../../../../autobahn python3 client.py --component "rpc.errors.frontend.Component"

b5:
	PYTHONPATH=../../../../autobahn python3 client.py --component "rpc.errors.backend.Component"


s6:
	PYTHONPATH=../../../../autobahn python3 server.py --component "rpc.complex.backend.Component"

f6:
	PYTHONPATH=../../../../autobahn python3 client.py --component "rpc.complex.frontend.Component"

b6:
	PYTHONPATH=../../../../autobahn python3 client.py --component "rpc.complex.backend.Component"


s7:
	PYTHONPATH=../../../../autobahn python3 server.py --component "rpc.progress.backend.Component"

f7:
	PYTHONPATH=../../../../autobahn python3 client.py --component "rpc.progress.frontend.Component"

b7:
	PYTHONPATH=../../../../autobahn python3 client.py --component "rpc.progress.backend.Component"


s8:
	PYTHONPATH=../../../../autobahn python3 server.py --component "rpc.decorators.backend.Component"

f8:
	PYTHONPATH=../../../../autobahn python3 client.py --component "rpc.decorators.frontend.Component"

b8:
	PYTHONPATH=../../../../autobahn python3 client.py --component "rpc.decorators.backend.Component"


s9:
	PYTHONPATH=../../../../autobahn python3 server.py --component "pubsub.basic.backend.Component"

f9:
	PYTHONPATH=../../../../autobahn python3 client.py --component "pubsub.basic.frontend.Component"

b9:
	PYTHONPATH=../../../../autobahn python3 client.py --component "pubsub.basic.backend.Component"


s10:
	PYTHONPATH=../../../../autobahn python3 server.py --component "pubsub.complex.backend.Component"

f10:
	PYTHONPATH=../../../../autobahn python3 client.py --component "pubsub.complex.frontend.Component"

b10:
	PYTHONPATH=../../../../autobahn python3 client.py --component "pubsub.complex.backend.Component"


s11:
	PYTHONPATH=../../../../autobahn python3 server.py --component "pubsub.options.backend.Component"

f11:
	PYTHONPATH=../../../../autobahn python3 client.py --component "pubsub.options.frontend.Component"

b11:
	PYTHONPATH=../../../../autobahn python3 client.py --component "pubsub.options.backend.Component"


s12:
	PYTHONPATH=../../../../autobahn python3 server.py --component "pubsub.unsubscribe.backend.Component"

f12:
	PYTHONPATH=../../../../autobahn python3 client.py --component "pubsub.unsubscribe.frontend.Component"

b12:
	PYTHONPATH=../../../../autobahn python3 client.py --component "pubsub.unsubscribe.backend.Component"


s13:
	PYTHONPATH=../../../../autobahn python3 server.py --component "pubsub.decorators.backend.Component"

f13:
	PYTHONPATH=../../../../autobahn python3 client.py --component "pubsub.decorators.frontend.Component"

b13:
	PYTHONPATH=../../../../autobahn python3 client.py --component "pubsub.decorators.backend.Component"


s14:
	PYTHONPATH=../../../../autobahn python3 server.py --component "session.series.backend.Component"

f14:
	PYTHONPATH=../../../../autobahn python3 client.py --component "session.series.frontend.Component"

b14:
	PYTHONPATH=../../../../autobahn python3 client.py --component "session.series.backend.Component"


client_session_fromoutside_backend:
	PYTHONPATH=../../../../autobahn python3 session/fromoutside/backend.py

=== examples/asyncio/wamp/beginner/Makefile ===
test_server:
	PYTHONPATH="../../../../autobahn" ~/python34/bin/python3 server.py

test_client:
	PYTHONPATH="../../../../autobahn" ~/python34/bin/python3 client.py

=== examples/twisted/wamp/beginner/Makefile ===
test_server:
	PYTHONPATH="../../../../autobahn" python server.py

test_client:
	PYTHONPATH="../../../../autobahn" python client.py

=== examples/twisted/wamp/longpoll/Makefile ===
test:
	PYTHONPATH=../../../../autobahn python server.py

open:
	curl -H "Content-Type: application/json" \
	   -d '{"protocols": ["wamp.2.json"]}' \
	   http://127.0.0.1:8080/lp/open

receive:
	curl -H "Content-Type: application/json" -d "" \
	   http://127.0.0.1:8080/lp/kjmd3sBLOUnb3Fyr/receive

hello:
	curl -H "Content-Type: application/json" \
	   -d '[1, "realm1", {"roles": {"subscriber": {}, "publisher": {}}}]' \
	   http://127.0.0.1:8080/lp/kjmd3sBLOUnb3Fyr/send

subscribe:
	curl -H "Content-Type: application/json" \
	   -d '[32, 1, {}, "com.myapp.topic1"]' \
	   http://127.0.0.1:8080/lp/kjmd3sBLOUnb3Fyr/send

close:
	curl -H "Content-Type: application/json" -d '' \
	   http://127.0.0.1:8080/lp/kjmd3sBLOUnb3Fyr/close

test_ser:
	PYTHONPATH=../../../../autobahn python test.py

=== examples/asyncio/wamp/wamplet/wamplet1/Makefile ===
test:
	python3 wamplet1/component1.py
	
install:
	python3 setup.py install

clean:
	find . -name "*.pyc" -exec rm -f {} \;
	rm -rf dist
	rm -rf build
	rm -rf *.egg-info

=== examples/twisted/wamp/wamplet/votegame/Makefile ===
test:
	python votegame/backend.py
	
install:
	python setup.py install

clean:
	find . -name "*.pyc" -exec rm -f {} \;
	rm -rf dist
	rm -rf build
	rm -rf *.egg-info

=== examples/twisted/wamp/wamplet/wampirc/Makefile ===
all:
	@echo "Targets: run, install, clean"

run:
	PYTHONPATH="." python wampirc/service.py
	
install:
	python setup.py install

clean:
	find . -name "*.pyc" -exec rm -f {} \;
	rm -rf dist
	rm -rf build
	rm -rf *.egg-info

=== examples/twisted/wamp/wamplet/wamplet1/Makefile ===
test:
	python wamplet1/component1.py
	
install:
	python setup.py install

clean:
	find . -name "*.pyc" -exec rm -f {} \;
	rm -rf dist
	rm -rf build
	rm -rf *.egg-info

=== debian/changelog ===
python-autobahn (0.10.3+dfsg1-7) unstable; urgency=medium

  * Added missing build-depends-indep: python3-mock (Closes: #825166).

 -- Thomas Goirand <zigo@debian.org>  Tue, 24 May 2016 13:29:12 +0000

python-autobahn (0.10.3+dfsg1-6) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/copyright: Changed source URL to https protocol

  [ Thomas Goirand ]
  * Added Python3 support (Closes: #822186).
  * Standards-Version is now 3.9.8 (no change).
  * Fix debian/copyright after upstream relicensed to Expat.

 -- Thomas Goirand <zigo@debian.org>  Fri, 20 May 2016 13:21:58 +0000

=== debian/control ===
Source: python-autobahn
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all (>= 2.6.6-3~),
               python-setuptools,
               python3-all,
               python3-setuptools,
Build-Depends-Indep: python-concurrent.futures (>= 2.1.5),
                     python-lz4 (>= 0.2.1),
                     python-msgpack (>= 0.4.0),
                     python-mock,
                     python-pytest (>= 2.6),
                     python-six,
                     python-snappy (>= 0.5),
                     python-trollius (>= 0.1.2),
                     python-twisted (>= 11.1),
                     python-txaio (>= 1.0.0),
                     python-zope.interface (>= 3.6),
                     python3-lz4 (>= 0.2.1),
                     python3-mock,
                     python3-msgpack (>= 0.4.0),
                     python3-pytest (>= 2.6.4),
                     python3-six,
                     python3-snappy (>= 0.5),
                     python3-twisted (>= 11.1),
                     python3-txaio (>= 1.0.0),
                     python3-zope.interface (>= 3.6),
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=openstack/python-autobahn.git
Vcs-Git: https://anonscm.debian.org/git/openstack/python-autobahn.git
Homepage: http://autobahn.ws/python

Package: python-autobahn
Architecture: all
Depends: python-concurrent.futures (>= 2.1.5),
         python-lz4 (>= 0.2.1),
         python-msgpack (>= 0.4.0),
         python-six,
         python-snappy (>= 0.5),
         python-trollius (>= 0.1.2),
         python-twisted (>= 11.1),
         python-txaio (>= 1.0.0),
         python-zope.interface (>= 3.6),
         ${misc:Depends},
         ${python:Depends},
Description: WebSocket client and server library, WAMP framework - Python 2.x
 Autobahn|Python is a networking library that is part of the Autobahn project
 and provides implementations of:
  * The WebSocket Protocol
  * The Web Application Messaging Protocol (WAMP)
 for Twisted and asyncio, on Python 2 & 3 and for writing servers and clients.
 .
 WebSocket allows bidirectional real-time messaging on the Web and WAMP adds
 asynchronous Remote Procedure Calls and Publish & Subscribe on top of
 WebSocket.
 .
 This package contains the Python 2.x module.

Package: python3-autobahn
Architecture: all
Depends: python3-lz4 (>= 0.2.1),
         python3-msgpack (>= 0.4.0),
         python3-six,
         python3-snappy (>= 0.5),
         python3-trollius (>= 0.1.2),
         python3-twisted (>= 11.1),
         python3-txaio (>= 1.0.0),
         python3-zope.interface (>= 3.6),
         ${misc:Depends},
         ${python3:Depends},
Description: WebSocket client and server library, WAMP framework - Python 3.x
 Autobahn|Python is a networking library that is part of the Autobahn project
 and provides implementations of:
  * The WebSocket Protocol
  * The Web Application Messaging Protocol (WAMP)
 for Twisted and asyncio, on Python 2 & 3 and for writing servers and clients.
 .
 WebSocket allows bidirectional real-time messaging on the Web and WAMP adds
 asynchronous Remote Procedure Calls and Publish & Subscribe on top of
 WebSocket.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,9 @@
 #!/usr/bin/make -f
 
 PYTHONS:=$(shell pyversions -vr)
-#PYTHON3S:=$(shell py3versions -vr)
+PYTHON3S:=$(shell py3versions -vr)
 
-UPSTREAM_GIT = git://github.com/tavendo/AutobahnPython.git
+UPSTREAM_GIT := https://github.com/tavendo/AutobahnPython.git
 -include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
@@ -14,16 +14,18 @@
 		python$$pyvers setup.py install --install-layout=deb \
 			--root $(CURDIR)/debian/python-autobahn; \
 	done
-#	set -e ; for pyvers in $(PYTHON3S); do \
-#		python$$pyvers setup.py install --install-layout=deb \
-#			--root $(CURDIR)/debian/python3-autobahn; \
-#	done
+	set -e ; for pyvers in $(PYTHON3S); do \
+		python$$pyvers setup.py install --install-layout=deb \
+			--root $(CURDIR)/debian/python3-autobahn; \
+	done
 	rm -rf $(CURDIR)/debian/python*-autobahn/usr/lib/python*/dist-packages/*.pth
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	rm -rf build
-	PYTHONPATH=. python2.7 -m pytest
+	set -e ; set -x ; for i in 2.7 $(PYTHON3S) ; do \
+		rm -rf build ; \
+		PYTHONPATH=. python$$i -m pytest ; \
+	done
 endif

## python-autobahn 0.14.1+dfsg1

=== Makefile ===
--- 
+++ 
@@ -1,3 +1,5 @@
+.PHONY: test docs pep8
+
 all:
 	@echo "Targets:"
 	@echo ""
@@ -10,13 +12,14 @@
 
 # install locally
 install:
-	#python setup.py install
-#	pip install -e .[twisted]
-#	pip install -e .[asyncio,twisted,accelerate,compress,serialization]
+	# enforce use of bundled libsodium
+	export SODIUM_INSTALL=bundled
 	pip install --upgrade -e .[all,dev]
 
 # cleanup everything
 clean:
+	rm -rf ./docs/build
+	rm -rf ./.cache
 	rm -rf ./autobahn.egg-info
 	rm -rf ./build
 	rm -rf ./dist
@@ -25,23 +28,37 @@
 	rm -rf ./.tox
 	rm -rf ./.eggs
 	rm -f  ./twisted/plugins/dropin.cache
+	find . -name "*dropin.cache.new" -type f -exec rm -f {} \;
 	find . -name "*.tar.gz" -type f -exec rm -f {} \;
 	find . -name "*.egg" -type f -exec rm -f {} \;
 	find . -name "*.pyc" -type f -exec rm -f {} \;
-	find . -name "*__pycache__" -type d -exec rm -rf {} \;
+
+	# Learn to love the shell! http://unix.stackexchange.com/a/115869/52500
+	find . \( -name "*__pycache__" -type d \) -prune -exec rm -rf {} +
 
 # publish to PyPI
 publish: clean
-	python setup.py register
-	python setup.py sdist upload
+	python setup.py sdist bdist_wheel
+	twine upload dist/*
+
+docs:
+	cd docs && make html
+
+spelling:
+	cd docs && sphinx-build -b spelling . _spelling
+
+test_styleguide:
+	flake8 --statistics --max-line-length=119 -qq autobahn
 
 # direct test via pytest (only here because of setuptools test integration)
 test_pytest:
-	python -m pytest -rsx .
+	python -m pytest -rsx autobahn/
 
 # test via setuptools command
 test_setuptools:
 	python setup.py test
+
+test: flake8 test_twisted test_asyncio
 
 # test under Twisted
 test_twisted:
@@ -57,13 +74,14 @@
 
 test_coverage:
 	-rm .coverage
-	tox -e py27twisted,py27asyncio,py34asyncio
+	tox -e py27-twcurrent,py27-trollius,py34-asyncio
+	coverage combine
 	coverage html
 	coverage report --show-missing
 
 # test under asyncio
 test_asyncio:
-	USE_ASYNCIO=1 python -m pytest -rsx
+	USE_ASYNCIO=1 python -m pytest -rsx autobahn
 	#WAMP_ROUTER_URL="ws://127.0.0.1:8080/ws" USE_ASYNCIO=1 python -m pytest -rsx
 
 test1:
@@ -102,7 +120,7 @@
 
 # This will run pep8, pyflakes and can skip lines that end with # noqa
 flake8:
-	flake8 --ignore=E501 autobahn
+	flake8 --ignore=E402,E501,N801,N802,N803,N805,N806 autobahn
 
 # run PyLint
 pylint:
@@ -115,3 +133,6 @@
 # on Windows (Git Bash), check for files with Unix lines endings
 find_unix_files:
 	find . -name "*" -exec dos2unix -tv {} \; 2>&1 | grep "Unix"
+
+find_tavendo:
+	find . -path ./.git -prune -o -type f -exec grep -Hi "tavendo" {} \; | grep -v "Copyright (c) Tavendo"

=== examples/Makefile ===
pyflakes:
	pyflakes .

# run PEP8 check and print statistics
pep8:
	pep8 --statistics --ignore=E501 -qq .

# run PEP8 check and show source for offending code
pep8show:
	pep8 --show-source --ignore=E501 .

# pep8 --select=E231 --show-source

autopep8:
	autopep8 -ri --aggressive --ignore=E501 .

# This will run pep8, pyflakes and can skip lines that end with # noqa
flake8:
	flake8 --ignore=E501,E901 .
#	flake8 --ignore=E501,E901,F401,F403,F811,F821,F841 .

pylint:
	pylint -d line-too-long,invalid-name .

examples:
	python run-all-examples.py

=== examples/twisted/wamp/Makefile ===
test:
	PYTHONPATH=../../.. python test_newapi3.py

=== debian/changelog ===
python-autobahn (0.14.1+dfsg1-2) unstable; urgency=medium

  [ Thomas Goirand ]
  * Uploading to unstable.
  * Add lintian override for missing JS sources: these are only the examples,
    which aren't even packaged in Debian.

  [ Ondřej Nový ]
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Using OpenStack's Gerrit as VCS URLs.

 -- Thomas Goirand <zigo@debian.org>  Sun, 17 Jul 2016 13:27:58 +0000

python-autobahn (0.14.1+dfsg1-1) experimental; urgency=medium

  * New upstream release (Closes: #826364).
  * Fixed (build-)depends for this release.
  * Drop Work-around_old_vs._new_twisted_client-endpoint_parser.patch applied
    upstream.
  * Only attempt to run tests from autobahn (ie: exclude examples).

 -- Thomas Goirand <zigo@debian.org>  Wed, 15 Jun 2016 10:01:09 +0200

=== debian/control ===
--- 
+++ 
@@ -5,45 +5,60 @@
 Uploaders: Thomas Goirand <zigo@debian.org>,
 Build-Depends: debhelper (>= 9),
                dh-python,
-               python-all (>= 2.6.6-3~),
+               python-all,
                python-setuptools,
+               python-sphinx,
                python3-all,
                python3-setuptools,
-Build-Depends-Indep: python-concurrent.futures (>= 2.1.5),
+Build-Depends-Indep: python-cbor,
+                     python-concurrent.futures (>= 2.1.5),
+                     python-enchant,
                      python-lz4 (>= 0.2.1),
+                     python-mock (>= 1.3),
                      python-msgpack (>= 0.4.0),
-                     python-mock,
+                     python-nacl,
                      python-pytest (>= 2.6),
+                     python-qrcode,
                      python-six,
                      python-snappy (>= 0.5),
-                     python-trollius (>= 0.1.2),
+                     python-sphinx-rtd-theme,
+                     python-sphinxcontrib.spelling,
+                     python-trollius (>= 2.0),
                      python-twisted (>= 11.1),
-                     python-txaio (>= 1.0.0),
+                     python-txaio (>= 2.5.1),
+                     python-unittest2 (>= 1.1.0),
                      python-zope.interface (>= 3.6),
+                     python3-cbor,
+                     python3-enchant,
                      python3-lz4 (>= 0.2.1),
-                     python3-mock,
+                     python3-mock (>= 1.3),
                      python3-msgpack (>= 0.4.0),
+                     python3-nacl,
                      python3-pytest (>= 2.6.4),
                      python3-six,
                      python3-snappy (>= 0.5),
                      python3-twisted (>= 11.1),
-                     python3-txaio (>= 1.0.0),
+                     python3-txaio (>= 2.5.1),
+                     python3-unittest2 (>= 1.1.0),
                      python3-zope.interface (>= 3.6),
 Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=openstack/python-autobahn.git
-Vcs-Git: https://anonscm.debian.org/git/openstack/python-autobahn.git
+Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-python-autobahn?h=debian%2Fnewton
+Vcs-Git: https://git.openstack.org/openstack/deb-python-autobahn -b debian/newton
 Homepage: http://autobahn.ws/python
 
 Package: python-autobahn
 Architecture: all
-Depends: python-concurrent.futures (>= 2.1.5),
+Depends: python-cbor,
+         python-concurrent.futures (>= 2.1.5),
          python-lz4 (>= 0.2.1),
          python-msgpack (>= 0.4.0),
+         python-nacl,
+         python-qrcode,
          python-six,
          python-snappy (>= 0.5),
-         python-trollius (>= 0.1.2),
+         python-trollius (>= 2.0),
          python-twisted (>= 11.1),
-         python-txaio (>= 1.0.0),
+         python-txaio (>= 2.5.1),
          python-zope.interface (>= 3.6),
          ${misc:Depends},
          ${python:Depends},
@@ -62,13 +77,15 @@
 
 Package: python3-autobahn
 Architecture: all
-Depends: python3-lz4 (>= 0.2.1),
+Depends: python3-cbor,
+         python3-lz4 (>= 0.2.1),
          python3-msgpack (>= 0.4.0),
+         python3-nacl,
          python3-six,
          python3-snappy (>= 0.5),
-         python3-trollius (>= 0.1.2),
+         python3-trollius (>= 2.0),
          python3-twisted (>= 11.1),
-         python3-txaio (>= 1.0.0),
+         python3-txaio (>= 2.5.1),
          python3-zope.interface (>= 3.6),
          ${misc:Depends},
          ${python3:Depends},

=== debian/rules ===
--- 
+++ 
@@ -24,15 +24,13 @@
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 	set -e ; set -x ; for i in 2.7 $(PYTHON3S) ; do \
 		rm -rf build ; \
-		PYTHONPATH=. python$$i -m pytest ; \
+		PYTHONPATH=. python$$i -m pytest autobahn ; \
 	done
 endif
-
 
 override_dh_clean:
 	dh_clean -O--buildsystem=python_distutils
 	rm -rf build twisted/plugins/dropin.cache
-
 
 # Commands not to run
 override_dh_installcatalogs:

## python-autobahn 17.10.1%2Bdfsg1

=== Makefile ===
--- 
+++ 
@@ -14,7 +14,14 @@
 install:
 	# enforce use of bundled libsodium
 	export SODIUM_INSTALL=bundled
-	pip install --upgrade -e .[all,dev]
+	pip install --upgrade -e .[twisted,asyncio,serialization,encryption,dev]
+
+# upload to our internal deployment system
+upload: clean
+	python setup.py bdist_wheel
+	aws s3 cp --acl public-read \
+		dist/autobahn-*.whl \
+		s3://fabric-deploy/autobahn/
 
 # cleanup everything
 clean:
@@ -64,6 +71,9 @@
 test_twisted:
 	USE_TWISTED=1 trial autobahn
 	#WAMP_ROUTER_URL="ws://127.0.0.1:8080/ws" USE_TWISTED=1 trial autobahn
+
+test_serializer:
+	USE_TWISTED=1 trial autobahn.wamp.test.test_serializer
 
 test_twisted_coverage:
 	-rm .coverage
@@ -120,7 +130,7 @@
 
 # This will run pep8, pyflakes and can skip lines that end with # noqa
 flake8:
-	flake8 --ignore=E402,E501,N801,N802,N803,N805,N806 autobahn
+	flake8 --ignore=E402,E501,E722,E741,N801,N802,N803,N805,N806 autobahn
 
 # run PyLint
 pylint:
@@ -134,5 +144,36 @@
 find_unix_files:
 	find . -name "*" -exec dos2unix -tv {} \; 2>&1 | grep "Unix"
 
-find_tavendo:
-	find . -path ./.git -prune -o -type f -exec grep -Hi "tavendo" {} \; | grep -v "Copyright (c) Tavendo"
+# sudo apt install gource ffmpeg
+gource:
+	gource \
+	--path . \
+	--seconds-per-day 0.15 \
+	--title "autobahn-python" \
+	-1280x720 \
+	--file-idle-time 0 \
+	--auto-skip-seconds 0.75 \
+	--multi-sampling \
+	--stop-at-end \
+	--highlight-users \
+	--hide filenames,mouse,progress \
+	--max-files 0 \
+	--background-colour 000000 \
+	--disable-bloom \
+	--font-size 24 \
+	--output-ppm-stream - \
+	--output-framerate 30 \
+	-o - \
+	| ffmpeg \
+	-y \
+	-r 60 \
+	-f image2pipe \
+	-vcodec ppm \
+	-i - \
+	-vcodec libx264 \
+	-preset ultrafast \
+	-pix_fmt yuv420p \
+	-crf 1 \
+	-threads 0 \
+	-bf 0 \
+	autobahn-python.mp4

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/crossbario/autobahn-python
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3

override_dh_auto_clean:
	rm -rf build .stestr
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	set -e ; set -x ; for i in $(PYTHON3S) ; do \
		rm -rf build ; \
		PYTHONPATH=. python$$i -m pytest autobahn ; \
	done
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build twisted/plugins/dropin.cache
